import { useState, useEffect } from 'react';

var useWindowFocus = function useWindowFocus() {
  var _useState = useState(false),
      focused = _useState[0],
      setFocused = _useState[1];

  useEffect(function () {
    // First render
    setFocused(document.hasFocus());

    var onFocus = function onFocus() {
      return setFocused(true);
    };

    var onBlur = function onBlur() {
      return setFocused(false);
    };

    window.addEventListener('focus', onFocus);
    window.addEventListener('blur', onBlur);
    return function () {
      window.removeEventListener('focus', onFocus);
      window.removeEventListener('blur', onBlur);
    };
  }, []);
  return focused;
};

export default useWindowFocus;
//# sourceMappingURL=use-window-focus.esm.js.map
